Bug 19043 - The ability to lock individual channels (i.e. prevent them from being updated by drawing functions) would allow for some interesting composition tricks, such as drawing directly to the alpha channel.
Summary: The ability to lock individual channels (i.e. prevent them from being updated...
Status: RESOLVED LATER
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: All All
: P3 enhancement
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-25 21:59 UTC by contributor
Modified: 2012-09-25 22:26 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:59:02 UTC
This was was cloned from bug 11399 as part of operation LATER convergence.
Originally filed: 2010-11-24 17:23:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2010-11-24 17:23:13 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/
Section: http://www.whatwg.org/specs/web-apps/current-work/complete.html#compositing

Comment:
The ability to lock individual channels (i.e. prevent them from being updated
by drawing functions) would allow for some interesting composition tricks,
such as drawing directly to the alpha channel.

Posted from: 87.114.199.5
================================================================================
 #1   Ian 'Hixie' Hickson                             2011-01-10 22:08:52 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: none yet
Rationale: Seems reasonable, but probably best to wait until the rest of the spec is more stable before adding more canvas features.
================================================================================
 #3   Ian 'Hixie' Hickson                             2012-02-29 19:18:26 +0000 
--------------------------------------------------------------------------------
Punting again. Mostly working on path stuff on this iteration.
================================================================================